<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
@modified javier.barajas modificacion y creacion de funciones de interaccion con la capa de negocios 
@cu 315 Gestion de Tramites a Conservación
  
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Gestionar Entrega a Tramites de Conservacion::.
    </ui:define>

    <ui:define name="content">
        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsGestionarEntregaTramitesConservacion" showDetail="false"
                    globalOnly="false" />

        <p:spacer height="30" width="0" />

        <h:form id="gestionarEntregaTramitesConservacionForm">
            <h:panelGrid width="60%" cellspacing="10">
                <p:dataTable value="#{gestionarEntregaTramitesConservacion.saldosTramites}"
                             var="tramiteVar" id="revDocumentosDigitalizarDT" paginator="true"					
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                             rowKey="#{tramiteVar.id}" rows="10"
                             selection="#{gestionarEntregaTramitesConservacion.selectedTramites}"
                             emptyMessage="No se encontraron trámites">
                    <f:facet name="header">Trámites</f:facet>

                    <p:column selectionMode="multiple" />

                    <p:column headerText="Número predial">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{tramiteVar.predio.numeroPredial}">
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Número de radicación">
                        <p:commandLink oncomplete="detalleTramiteEjecutarWV.show();"
                                       update=":detalleTramiteEjecutarForm">
                            <h:outputText value="#{tramiteVar.numeroRadicacion}"
                                          styleClass="commandLinkStyle" />
                            <f:setPropertyActionListener value="#{tramiteParam}"
                                                         target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                        </p:commandLink>
                    </p:column>

                    <p:column headerText="Fecha de radicación">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{tramiteVar.fechaRadicacion}">
                            <f:convertDateTime pattern="#{general.formatoFecha}" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Tipo de trámite">
                        <h:outputText styleClass="outputTextStyle"
                                      id="TramiteTipoTramiteV" value="#{tramiteVar.tipoTramite}">
                            <f:converter converterId="converterCB" for="TramiteTipoTramiteV"></f:converter>
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Clasificación">
                        <h:outputText styleClass="outputTextStyle"
                                      id="TramiteClasificacionV" value="#{tramiteVar.clasificacion}">
                            <f:converter converterId="converterCB"
                                         for="TramiteClasificacionV"></f:converter>
                        </h:outputText>
                    </p:column>
                </p:dataTable>
                <p:panel>

                    <p:commandButton value="Entregar Trámites" id="estregarTramBtn"
                                     widgetVar="estregarTramWV" icon="ui-icon-check" process="@this"
                                     onstart="statusDialog2.show()" oncomplete="confirmacionEntregaWV.show()"/>

                </p:panel>

                <p:commandButton value=" Ver mapa" id="verMapa"
                                 widgetVar="verMapaVar" immediate="true" type="button"
                                 icon="ui-icon-image"
                                 onclick="cargarMapa('#{gestionarEntregaTramitesConservacion.applicationClientName}');" />

            </h:panelGrid>

            <p:separator style="width:1025px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" update="msgInfoFis"
                                 icon="ui-icon-circle-close" immediate="true"
                                 action="#{gestionarEntregaTramitesConservacion.cerrar}" ajax="false"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

            <div id="mapDiv">
                <iframe id="mapIframe" name="mapIframe" src="" width="800"
                        height="500" align="left" scrolling="no" frameborder="0">
                    Su navegador no soporta esta funcionalidad.</iframe>
            </div>
        </h:form>

        <p:confirmDialog appendToBody="true"
                         message="Esta acción entregará los tramites seleccionados al proceso de actualización. ¿Está seguro que desea hacerlo?"
                         width="400" header="Confirmación" severity="alert"
                         widgetVar="confirmacionEntregaWV">
            <h:form>
                <p:commandButton value="Sí"
                                 action="#{gestionarEntregaTramitesConservacion.entregarTramitesAConservacion}"
                                 oncomplete="confirmacionEntregaWV.hide()" icon="ui-icon-check"
                                 process="@this" />
                <p:commandButton value="No" icon="ui-icon-close"
                                 onclick="confirmacionEntregaWV.hide()" type="button" />
            </h:form>
        </p:confirmDialog>

        <p:dialog header="Detalle del trámite"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="../../conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />

                <ui:param name="currentDetallePredioWV" value="detallesPredioWV" />
            </ui:include>
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

    </ui:define>
</ui:composition>